import { Board } from "../../DatabaseServices/Entity/Board";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Command } from "../../Editor/CommandMachine";
export declare class Command_DrawArcBoard implements Command {
    exec(): Promise<void>;
}
export declare function GetArcBoardParams(path1: Polyline): Promise<{
    odir: number;
    fdir: number;
}>;
export declare function DrawArcBoard(params: {
    odir: number;
    fdir: number;
}, path1: Polyline): Promise<void>;
export declare function ApplyArcBoardByPathInfo(brs: Board[], odir: number, fdir: number, path1: Polyline): Promise<void>;
export declare function Path2BoardPath(br: Board, path: Polyline): [number, boolean];
//# sourceMappingURL=DrawArcBoard.d.ts.map