import { NumericInput } from "@blueprintjs/core";
import React from "react";
import { DimStyleStore } from "./DimStyleStore";
interface DimParamsPanelProps {
    store: DimStyleStore;
    sizeKey: string;
    title: string;
    disabled?: boolean;
    minValue?: number;
    maxValue?: number;
}
export declare class DimParamsPanel extends React.Component<DimParamsPanelProps> {
    _DisposeAutorun: Function;
    _SizeRef: React.RefObject<NumericInput>;
    _MinValue: number;
    _MaxValue: number;
    componentDidMount(): void;
    componentWillUnmount(): void;
    _ChangeParamsSize: () => void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=DimParamsPanel.d.ts.map