import { Vector3 } from 'three';
import { Entity } from '../../DatabaseServices/Entity/Entity';
import { Command } from '../../Editor/CommandMachine';
export declare enum DimensionType {
    Align = 0,//对齐标注
    Linear = 1
}
export declare class DrawAlignedDimension implements Command {
    protected DimType: DimensionType;
    protected _UseFirstPointUCS: boolean;
    exec(): Promise<void>;
    protected GetPointDli(footPt1: Vector3, snapEntity: Entity): Promise<void>;
    private GetEntityDli;
    protected BuildDim(footPt1: Vector3, footPt2: Vector3, snapEntity: Entity): Promise<void>;
}
//# sourceMappingURL=DrawAlignedDimension.d.ts.map