import React, { Component } from "react";
import { DimStyleRecord } from "../../DatabaseServices/DimStyle/DimStyleRecord";
import { IDimStyleOption } from "../../UI/Store/OptionInterface/IOptionInterface";
import { DimStyleStore } from "./DimStyleStore";
export declare enum OperDimStyleType {
    Add = "add",
    Modify = "modify"
}
export declare class OperDimStyle extends Component<{
    operType: OperDimStyleType;
    currentStyleName?: string;
    store: DimStyleStore;
}> {
    _Event: Function;
    _NameInput: React.RefObject<HTMLInputElement>;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    _Cancel: () => void;
    _OnOK: () => Promise<void>;
    _Return: (name: string) => void;
    _ApplyParams(dimStyleRecord: DimStyleRecord, option: IDimStyleOption): void;
}
//# sourceMappingURL=OperDimStyle.d.ts.map