export interface IDrawTemplate {
    board_name: string;
    board_attribute: any;
}
export interface IDrawBoard {
    thickness: number;
    pos: [number, number];
    pos_relative?: number;
}
export interface IDrawLeftRightBoard extends IDrawBoard {
    height: number;
    width: number;
    deep: number;
}
export interface IDrawTopBottomBoard extends IDrawBoard {
    bottom_side: number;
    corner_line: boolean;
}
export interface IDrawLayerBoard extends IDrawBoard {
    left_ident: string;
    right_ident: string;
}
//# sourceMappingURL=DrawTemplateInterface.d.ts.map