import { Singleton } from "../../Common/Singleton";
import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from "../../UI/Store/BoardStore";
import { ISmoothEdgeOption, IUiOption } from "../../UI/Store/OptionInterface/IOptionInterface";
export declare class SmoothEdgeStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    option: ISmoothEdgeOption;
    uiOption: IUiOption<ISmoothEdgeOption>;
    InitOption(): void;
    get UiOption(): IUiOption<ISmoothEdgeOption>;
    SaveConfig(): IConfigOption<ISmoothEdgeOption>;
    UpdateOption(cof: IConfigOption<ISmoothEdgeOption>): void;
}
//# sourceMappingURL=SmoothEdgeStore.d.ts.map