import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from "../../UI/Store/BoardStore";
import { EditViewOption } from "./EditViewOption";
export declare class EditViewSettingStore implements IConfigStore {
    configName: string;
    configsNames: any[];
    m_Option: EditViewOption;
    HideOptions: Map<string, string>;
    BoardInfoOptions: Map<string, string>;
    ViewAndVisionOption: Map<string, string>;
    LayerOption: Map<string, string>;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("../../UI/Store/OptionInterface/IOptionInterface").AnyObject>;
    UpdateOption(conf: IConfigOption<EditViewOption>): void;
}
export declare class EditFrameStore {
    HideOptions: [string, boolean][];
    BoardInfoOptions: [string, boolean][];
    ViewAndVisionOption: [string, boolean][];
    LayerOption: [string, boolean][];
}
//# sourceMappingURL=EditViewSettingStore.d.ts.map