import { Board } from "../../DatabaseServices/Entity/Board";
import { IParseBoardNameOption } from "./R2bInterface";
declare enum ParseType {
    ParseAll = 0,//单个柜子 (UI:多背板柜子)
    ParseFormBackBoard = 1
}
type IParseOption = IParseBoardNameOption & {
    backBrBiggerThanHeight?: number;
    backBrBiggerThanWidth?: number;
};
export declare class ParseBoardNameUtil {
    isParseLeftBr: boolean;
    isParseRightBr: boolean;
    isModifyMiddleVerticalBrName: boolean;
    isParseTopBr: boolean;
    isParseDownBr: boolean;
    isModifyMiddleLayerBrName: boolean;
    isParseGroundLineBr: boolean;
    isParseStripeBr: boolean;
    isChangeCabinetName: boolean;
    isAloneStripName: boolean;
    leftBrName: string;
    rightBrName: string;
    topBrName: string;
    downBrName: string;
    middleVerticalBrName: string;
    middleLayerBrName: string;
    groundLineBrName: string;
    stripeBrName: string;
    cabinetName: string;
    topBrShrink: number;
    downBrShrink: number;
    verticalBrShrink: number;
    layerBrShrink: number;
    groundLineBrMoveBack: number;
    backBrLength: number;
    backBrWidth: number;
    parseType: ParseType;
    private isBack;
    private backName;
    InitData(option: IParseOption): void;
    /**通过色号判断收口条?? */
    private IsSKT;
    ParseBoardNameFormLocation(brs: Board[]): void;
    ParseBoardArrFormBackBoard(arr: Board[][], brarr: Board[]): void;
    Doit(brarr: Board[], option: IParseOption): void;
    private ChangeDiJiao;
    private ChangeBoardHoleAndLines;
    private CurtailBoard;
    private ParseShouKouTiao;
    private FrontCurtailBrs;
}
export declare const parseBoardNameUtil: ParseBoardNameUtil;
export {};
//# sourceMappingURL=ParseBoardNameUtil.d.ts.map