export declare enum CheckObjectType {
    BR = "board",
    DR = "drill",
    AR = "array",
    Do = "door",
    RC = "referenceCutting",
    WR = "winerack",
    Lat = "lattice",
    RLB = "rotateLayerBoard",
    BBC = "boardbatchcurtail",
    BBS = "lookoverboardinfos",
    R2B = "rec2br",
    OnlyNumber = "onlyNum",
    None = "none",
    SmoothEdge = "smoothEdge",
    /**大于0的数字 */
    GT0Num = "gt0num",
    BMP = "batchmodifypanel",
    BF = "boardFind",//查找修改
    CONF = "configuration",//配置
    Modeling2Depth = "modeling2Depth",// 大于0且支持BH
    ExpireDays = "expireDays"
}
export declare namespace CheckoutValid {
    function HasInvailValue(obj: Object, objType: CheckObjectType): string;
    function CheckOption(type: CheckObjectType, k: string, v: string): string;
    function CheckoutBatchModifyPanel(k: string, v: string): string;
    function CheckoutBoardOption(k: string, v: string): string;
    function CheckoutDrillOption(k: string, v: string | boolean): string;
    function CheckoutRec2BrOption(k: string, v: string): string;
    function CheckoutArrayOption(k: string, v: string): string;
    function CheckoutDoorOption(k: string, v: string): string;
    function CheckoutRotateLayerBoardOption(k: string, v: string): string;
    function CheckBoardBatchCurtail(k: string, v: string): string;
    function CheckLookOverBoardInfos(k: string, v: string): string;
    function CheckOutReferenceCuttingOption(k: string, v: string): string;
    function CheckoutWineRackOption(k: string, v: string): string;
    function CheckoutLatticeOption(k: string, v: string): string;
    function CheckoutBoardFindOption(k: string, v: string): string;
    function CheckoutConfigurationOption(k: string, v: string): string;
}
//# sourceMappingURL=CheckoutVaildValue.d.ts.map