/**
 * 控制器的状态,按位表示.
 * @enum {number}
 */
export declare enum InputState {
    None = 0,
    SelectIng = 1,//用户正在选择,不一定执行ssget,有可能用户在没有任何命令在选择实体
    Select = 2,//选择服务中,用户执行了ssget
    GetPoint = 4,
    GetDist = 8,
    Entsel = 16,
    GetKeyWord = 32,
    GetRect = 64,
    GetString = 128,
    All = 255
}
export interface KeyWord {
    msg: string;
    key: string;
    disable?: boolean;
    children?: KeyWord[];
}
export declare const MenuDividerKWD: KeyWord;
//# sourceMappingURL=InputState.d.ts.map