import { IToplineOption } from "../../UI/Components/RightPanel/RightPanelInterface";
import { SweepSolid } from "../3DSolid/SweepSolid";
import { CADFiler } from "../CADFiler";
import { Curve } from "../Entity/Curve";
export declare class HardwareTopline extends SweepSolid {
    HardwareOption: IToplineOption;
    DataList: [string, string][];
    private _contourRotation;
    get ContourRotation(): number;
    /**
     *延伸取最大最小轮廓每段首尾到前面线段,取最长线段作为分段长
     */
    get Segmentations(): Curve[];
    get MaxLength(): number;
    set ContourRotation(ro: number);
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=HardwareTopline.d.ts.map