import { IConfigOption } from "../../../../../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from "../../../../../../UI/Store/BoardStore";
import { ISelectTempInfo } from "../../../../../../UI/Store/DoorInterface";
import { WindowPanelConfigOption as DoorWindowPanelConfigOption } from "../../../../../../UI/Store/OptionInterface/IOptionInterface";
import { TemplateWindowRecord } from "../../../../../Template/ProgramTempate/TemplateWindowRecord";
export declare enum DoorWindowParamsNames {
    Length = "Length",
    Height = "Height",
    Thick = "Thick",
    WindowOffGround = "WindowOffGround",
    IsBayWindow = "IsBayWindow",
    BayLeftIsWall = "BayLeftIsWall",
    BayRightIsWall = "BayRightIsWall",
    BayDist = "BayDist",
    BayLeftDist = "BayLeftDist",
    BayMiddleDist = "BayMiddleDist",
    BayRightDist = "BayRightDist",
    HasWindowStone = "HasWindowStone",
    StoneThick = "StoneThick",
    StoneBulge = "StoneBulge",
    StoneLeftRightBulge = "StoneLeftRightBulge"
}
export declare class DoorWindowPanelStore implements IConfigStore {
    configName: string;
    m_Option: DoorWindowPanelConfigOption;
    configsNames: string[];
    selectTemplateInfo: ISelectTempInfo;
    currentDoorWindowsInfo: ISelectTempInfo;
    currentLeftBayWindowsInfo: ISelectTempInfo;
    currentRightBayWindowsInfo: ISelectTempInfo;
    SaveConfig(): IConfigOption<import("../../../../../../UI/Store/OptionInterface/IOptionInterface").AnyObject>;
    InitOption(): void;
    InitCurrentWindowOption(windowTemp: TemplateWindowRecord): void;
    UpdateOption(cof: IConfigOption<DoorWindowPanelConfigOption>): void;
    private static _SingleInstance;
    static GetSingleInstance(): DoorWindowPanelStore;
}
export declare const doorPanelStore: DoorWindowPanelStore;
export declare const windowPanelStore: DoorWindowPanelStore;
//# sourceMappingURL=WindowPanelStore.d.ts.map