import { Vector3 } from "three";
import { Point } from "../../../Nest/Common/Point";
import { Path } from "../../../Nest/Core/Path";
/**
 * 分析文字放置位置
 * @param contour 轮廓点表
 * @param holes   网洞点表
 * @param [textBox=TEXT_BOX] 标签盒子
 * @param [allowReturnNullPos=false] 允许返回null 当没有找到合适的位置返回null
 * @returns Vector3
 */
export declare function ParseRegionTextPos(contour: Point[], holes: (Point[])[], textBox?: Path, allowReturnNullPos?: boolean): Vector3 | undefined;
//# sourceMappingURL=ParseRegionTextPos.d.ts.map