import { Status } from "../Common/Status";
import { CADFiler } from "./CADFiler";
import { CADObject } from "./CADObject";
import { ISerialize } from "./ISerialize";
export declare abstract class SymbolTableRecord extends CADObject {
    protected name: string;
    get Name(): string;
    set Name(name: string);
    Add(obj: CADObject, isCheckObjectCleanly?: boolean): Status;
    WriteFile(file: CADFiler): void;
    ReadFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
/**
 * 记录当前Name的序列化数据
 */
export declare class NameData implements ISerialize {
    name: string;
    ReadFile(file: CADFiler): this;
    WriteFile(file: CADFiler): this;
    constructor(name: string);
}
//# sourceMappingURL=SymbolTableRecord.d.ts.map