import { ISpaceParse } from "../../../Geometry/SpaceParse/ISpaceParse";
import { BehindBoardOption, IGrooveOption } from "../../../UI/Store/OptionInterface/IOptionInterface";
import { CADFiler } from "../../CADFiler";
import { TemplateBoardRecord } from "./TemplateBoard";
/**
 * 背板模板
 */
export declare class TemplateBehindBoard extends TemplateBoardRecord {
    protected _option: BehindBoardOption;
    protected grooveOption: IGrooveOption;
    constructor();
    set GrooveOption(option: IGrooveOption);
    get Option(): BehindBoardOption;
    set Option(option: BehindBoardOption);
    GeneralBoardList(space: ISpaceParse): Promise<import("../../Entity/Board").Board[]>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateBehindBoard.d.ts.map