import { BoxBufferGeometry, CylinderBufferGeometry, Group, LineBasicMaterial } from "three";
export default class AxesCube extends Group {
    private _ConeHeight;
    private _ConeRadius;
    private _AxesLength;
    private _Line;
    private _Cone;
    private _Cube;
    constructor(_ConeHeight?: number, //圆锥高
    _ConeRadius?: number, //圆锥半径
    _AxesLength?: number);
    private _CubeNeg;
    InitNegCube(): void;
    private static _LineGeom;
    static get LineGeom(): CylinderBufferGeometry;
    private static _CubeGeo;
    static get CubeGeo(): BoxBufferGeometry;
    private static _BoxGeo;
    static get BoxGeo(): BoxBufferGeometry;
    set ConeRadius(size: number);
    set Material(m: LineBasicMaterial);
}
//# sourceMappingURL=AxesCube.d.ts.map