import { Vector3 } from "three";
import { Arc } from "../../DatabaseServices/Entity/Arc";
import { Circle } from "../../DatabaseServices/Entity/Circle";
import { ExtrudeContourCurve } from "../../DatabaseServices/Entity/Extrude";
export declare const ARC_DRAW_CONFIG: {
    ARC_SplitLength: number;
    ARC_RADIUS_MIN: number;
    Arc_MinSplitCount: number;
    ARC_MaxSplitCount: number;
};
export declare function GetArcDrawCount(arc: Arc | Circle | number): number;
/**
 *
 * @param cu
 */
export declare function SplitCurveParams(cu: ExtrudeContourCurve): number[];
export declare function SplitCurvePoints(cu: ExtrudeContourCurve): Vector3[];
export declare function SplitArcParams(arc: Arc): number[];
//# sourceMappingURL=SplitCurveParams.d.ts.map