import { NestFiler } from "../Common/Filer";
import { Point } from "../Common/Point";
import { Path } from "./Path";
/**
 * 用于存放零件旋转后的状态
 * 记录了用于放置时的轮廓。该轮廓总是首点等于0，便于放置时的计算。
 */
export declare class PartState {
    Rotation: number;
    OrigionMinPoint: Point;
    MinPoint: Point;
    Contour: Path;
    KnifeContour: Path;
    KnifeOffset: Point;
    IsMirror: boolean;
    MirrorOriginMinPoint: Point;
    get OutContour(): Path;
    Mirror(): PartState;
    ReadFile(file: NestFiler): void;
    WriteFile(file: NestFiler): void;
}
//# sourceMappingURL=PartState.d.ts.map