import { Matrix4, Vec2 } from "three";
import { Individual } from "../Core/Individual";
import { NestDatabase } from "../Core/NestDatabase";
import { Part } from "../Core/Part";
import { Path } from "../Core/Path";
/**
 *
 * @param part
 * @param [move] 当刀间距为3.5 但是离板边只有3时,我们整体向板的左下方移动(0.5,0.5)
 * @returns
 */
export declare function PlaceCS(part: Part, move?: Vec2): Matrix4;
export declare function DrawBin(count: number, binPath: Path): void;
export declare function Place(inv: Individual, parts: Part[], binPath: Path): void;
export declare function InitParts(binPath?: Path): Promise<NestDatabase>;
//# sourceMappingURL=PlaceUtil.d.ts.map