import React from "react";
import { IConfigStore } from "../../Store/BoardStore";
import { BoardModalType } from "./BoardModalType";
import { Config_ModalType } from "./UserConfigComponent";
interface IConfigListProps {
    type: BoardModalType;
    store: IConfigStore;
    configType: Config_ModalType;
    isNotModify?: boolean;
    updateBoardOption: (k: string) => void;
    handleSaveConfig: () => Promise<void>;
    handleDeleteConfig: () => Promise<void>;
}
export declare class ConfigList extends React.Component<IConfigListProps> {
    private flag;
    private isShow;
    private isCNInput;
    isResetName: import("mobx").IObservableValue<boolean>;
    private searchName;
    isShowCoustomNumList: import("mobx").IObservableValue<boolean>;
    private tagRef;
    disposeAutorun: Function;
    componentDidMount(): void;
    componentWillUnmount(): void;
    ShortcutLabel: (errorMsg: string) => JSX.Element;
    InputSelect: () => JSX.Element;
    SaveAndDelete: () => JSX.Element;
    UserConfig: (errorMag: string) => JSX.Element;
    filterConfigsNames(): any[];
    ConfigListTag: (errorMsg: string) => JSX.Element;
    SyncMasterConfig: () => Promise<void>;
    renderCustomNumList: () => JSX.Element;
    renderBody: (errorMsg: string) => JSX.Element;
    render(): JSX.Element;
    private handleTagChange;
    private handleSaveTagConfig;
}
export {};
//# sourceMappingURL=ConfigList.d.ts.map