import { BoardModalType } from "./BoardModalType";
export interface IConfigtTagProps {
    tagName: string;
    configName: string;
    type: BoardModalType;
}
export declare class ConfigTagCommand {
    private _tagList;
    private _ConfigTagCommandMap;
    private _CustomTagCommandMap;
    private constructor();
    private static _SingleInstance;
    static GetInstance(): ConfigTagCommand;
    get CustomTagCommandMap(): Map<string, {
        cmdName: string;
        configName: string;
        type: BoardModalType;
    }>;
    GetTagByConfig(configName: string, type: BoardModalType): IConfigtTagProps;
    GetTagByName(tagName: string): IConfigtTagProps;
    AddTag(type: BoardModalType, tagName: string, configName: string): Promise<void>;
    UpdataTagMap(oldCofigName: string, newConfigName: string, type: BoardModalType): void;
    RemoveTag(configName: string, type: BoardModalType): void;
    UploadTagList(): Promise<void>;
    private RegistCustomTagCommand;
    private DeleteCustomTagCommand;
    InitCustomTagCmd(): Promise<void>;
    ClearTagList(): void;
}
//# sourceMappingURL=ConfigTagCommand.d.ts.map