import { IObservableValue } from 'mobx';
import * as React from 'react';
import '../../Css/dataList.less';
import { AnyObject } from "../../Store/OptionInterface/IOptionInterface";
export interface IDataListProps {
    dataList: any[];
    select: (e: any, data: any) => void;
    showContextMenu?: (e: React.MouseEvent<HTMLElement>, data: AnyObject) => void;
    idKey: string;
    renderButtons?: (data: any) => JSX.Element;
    renderOtherElement?: (data: any) => JSX.Element;
    selectData: Set<string>;
    showInfos: boolean;
    /**右侧工具栏材质的小界面模式,不触发列宽调整*/
    isSmaller?: boolean;
    dbclickImg?: (data: AnyObject) => void;
    dragStart?: (data: AnyObject) => void;
    preview?: boolean;
    isSvg?: boolean;
    handleMounseDown?: (e: React.MouseEvent<HTMLElement>, data: AnyObject) => void;
    liStyle?: React.CSSProperties;
    className?: string;
    style?: React.CSSProperties;
    activeId?: string;
    hintClassName?: string;
    canDrag?: boolean;
    isFromResource?: boolean;
    isTemplateListUse?: boolean;
    openScaleImages?: IObservableValue<boolean>;
    imageDefaultTemplate?: string;
}
export declare class DataList extends React.Component<IDataListProps> {
    static defaultProps: Partial<IDataListProps>;
    private currentData;
    private DataListEl;
    private titleType;
    private curColumnWidthEl;
    private curColumnWidth;
    private handleResizeEl;
    private UpDataColumnWidthEl;
    private UpDataColumnWidth;
    private SaveConfig;
    renderBigData: () => JSX.Element;
    renderSmall: () => JSX.Element;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Readonly<IDataListProps>, prevState: Readonly<{}>, snapshot?: any): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private showContextMenu;
    handleMouseDown: (e: React.MouseEvent<HTMLElement>, data: AnyObject) => void;
    handleMouseUp: (e: React.MouseEvent<HTMLElement>, data: AnyObject) => void;
    handleDbImgClick: (data: any) => void;
    handleDragStart: (data: any) => void;
}
//# sourceMappingURL=Datalist.d.ts.map