import { IconName, MaybeElement, Position } from '@blueprintjs/core';
import * as React from 'react';
export interface IPopOverButtonProps {
    position?: Position;
    disabled?: boolean;
    confirmCallback: () => void;
    message: string;
    targetTitle: string;
    icon?: IconName | MaybeElement;
    closeFocusElement?: HTMLElement;
    style?: React.CSSProperties;
    className?: string;
}
export declare class PopoverButton extends React.Component<IPopOverButtonProps> {
    private confirmBtn;
    private cancelBtn;
    static defaultProps: {
        position: "top";
    };
    render(): JSX.Element;
    private handleKeyDown;
}
//# sourceMappingURL=PopoverButton.d.ts.map