import { Component, RefObject } from 'react';
import { CoolDownTime } from '../../../../Common/CoolDownTime';
import GalleryStore from '../GalleryStore';
import { FetchGalleryIndexListParams } from '../interface/GalleryDataInterface';
import { IGalleryItem } from '../interface/GalleryInterfaces';
export default class GalleryIndexList extends Component {
    GalleryStore: GalleryStore;
    galleryListAreaRef: RefObject<HTMLDivElement>;
    observer: ResizeObserver;
    time: CoolDownTime;
    galleryList: IGalleryItem[];
    itemWidth: string;
    loading: boolean;
    totalPage: number;
    currPage: number;
    ReloadGalleryIndexList: (params: FetchGalleryIndexListParams) => Promise<void>;
    FixGalleryItemWidth: () => void;
    SwitchGalleryListType: (type: "GRID" | "LIST") => "GRID" | "LIST";
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
//# sourceMappingURL=GalleryIndexList.d.ts.map