import { IObservableValue } from 'mobx';
import * as React from 'react';
import { Database } from '../../../DatabaseServices/Database';
import { Arc } from '../../../DatabaseServices/Entity/Arc';
import { Line } from '../../../DatabaseServices/Entity/Line';
import { Polyline } from '../../../DatabaseServices/Entity/Polyline';
import { IDirectoryProps } from '../SourceManage/CommonPanel';
export interface HeadCeilingListProps {
    deleteFun?: (topline?: {
        topline_id: any;
    }) => void;
    dataList?: any[];
    select?: (e: React.FormEvent<HTMLInputElement>, data: any) => void;
    getData?: () => void;
    selectIds?: Set<string>;
    showInfos?: boolean;
    isRename: IObservableValue<boolean>;
    editorCeilingContour?: (curves: (Polyline | Line | Arc)[], name?: string, currentDir?: IDirectoryProps, database?: Database) => void;
    currentHeadCeilingInfo: {
        id: string;
        name: string;
    };
}
export declare class HeadCeilingContourList extends React.Component<HeadCeilingListProps, {
    isContextMenuOpen: boolean;
}> {
    constructor(props: any);
    _HandleMounseDown: (e: React.MouseEvent<HTMLElement>, tpline: any) => void;
    _HandleEditor: () => Promise<void>;
    _ShowContextMenu: (e: React.MouseEvent<HTMLElement>, tpline: any) => void;
    render(): JSX.Element;
}
//# sourceMappingURL=HeadCeilingContourList.d.ts.map