import { RefObject } from "react";
import { WebSocketClientServer } from "../../../ApplicationServices/WebSocketClientServer";
export interface IMsg {
    type: "scan" | "remote" | "getip";
    ip: string;
    ips: string[];
}
export declare class SwitchServerStore {
    aliveServersList: Set<string>;
    historyServerList: string[];
    searching: boolean;
    islink: boolean;
    currentRemote: string;
    localIp: string;
    firstRef: RefObject<HTMLInputElement>;
    ip1: string;
    ip2: string;
    ip3: string;
    ip4: string;
    secondRef: RefObject<HTMLInputElement>;
    thirdRef: RefObject<HTMLInputElement>;
    _gangplankWs: WebSocketClientServer;
    private _localWs;
    private constructor();
    ConnectRemote(ip: string, test?: boolean): Promise<boolean>;
    ScanRemote(ip?: string): Promise<boolean>;
    DisableIme(): void;
    ResetIme(): void;
    static SingleInstance: SwitchServerStore;
    static GetInstance(): SwitchServerStore;
}
//# sourceMappingURL=SwitchServerStore.d.ts.map