import { IObservableValue } from 'mobx';
import * as React from 'react';
import { MaterialStore } from '../../Store/MaterialStore';
export interface IImgListProps {
    dataList?: any[];
    deleteFun?: (pic?: {
        image_id: string;
    }) => void;
    store?: MaterialStore;
    select?: (e: any, data: any) => void;
    selectIds?: Set<string>;
    isRename: IObservableValue<boolean>;
    info: {
        fid: string;
        name: string;
    };
    showInfos?: boolean;
    isShowSize?: boolean;
}
export declare class ImgList extends React.Component<IImgListProps, {}> {
    renderEditorPanel(pic: any): JSX.Element;
    _HandleApplyPic: (pic: any) => void;
    _ShowContextMenu: (e: React.MouseEvent<HTMLElement>, data: any) => void;
    render(): JSX.Element;
}
//# sourceMappingURL=ImgList.d.ts.map