import { IObservableValue } from 'mobx';
import * as React from 'react';
import { TemplateAction } from '../../../DatabaseServices/Template/Action/TemplateAction';
import { TempalteActionRadiusType } from '../../../DatabaseServices/Template/Action/TemplateaRadiusAction';
import { ITemplateParam } from "../../Store/RightPanelStore/ITemplateParam";
import { TempalteEditorStore } from '../../Store/TemplateEditorStore';
import { IActionParam } from './TemplateActionList';
export declare enum EEditorActionType {
    Add = 0,//默认为添加拉伸动作, 当参数类型是材质时,这个是添加材质动作
    Editor = 1,
    AddFillet = 2,//添加倒角动作
    AddParams = 3,//添加参数
    SetMaterial = 4,//设置材质
    SetEdge = 5,//设置封边
    AddRadius = 6
}
export declare enum ActionStretchType {
    Grips = 0,//夹点
    ScaleBox = 1
}
export interface ITempalteActionDialogProps {
    store: TempalteEditorStore;
    type: EEditorActionType;
    open: IObservableValue<boolean>;
    currentAction?: TemplateAction;
    currentNodePath?: number[];
    currentActionInfo?: IActionParam;
}
/**
 * 添加参数
 * 添加动作
 */
export declare class TempalteActionDialog extends React.Component<ITempalteActionDialogProps> {
    pararmConfig: ITemplateParam;
    actionType: EEditorActionType;
    actionRadioSelect: ActionStretchType;
    actionUseMaterialInfo: boolean;
    actionSetComEntsMaterial: boolean;
    actionModeType: TempalteActionRadiusType;
    private renderDialogBody;
    private renderActionDialog;
    private renderParamsDialog;
    componentWillUnmount(): void;
    render(): JSX.Element;
    handleClick: () => Promise<void>;
    handleModifyAction: () => void;
    private addAction;
    private addActionToTemplate;
    private addTemplateParam;
    private handleAddNode;
    handleCloseDialog: () => void;
}
//# sourceMappingURL=TemplateActionDiglog.d.ts.map