import { Singleton } from "../../../../../Common/Singleton";
import type { ILayerNode } from "./Type";
/** 图层的状态单例 */
export declare class LayerStore extends Singleton {
    /** 自增ID */
    ID: {
        file: number;
        folder: number;
    };
    /** 图层数据 */
    data: ILayerNode[];
    /** 当前图层 */
    currentLayer: ILayerNode;
    /** 是否显示视口冻结 */
    isShowViewportOff: boolean;
    /** 初始化 */
    Init(): void;
}
/** 图层特性 */
export declare const LayerPropertieStore: {
    /** 是否显示 */
    isShow: boolean;
};
//# sourceMappingURL=Store.d.ts.map