import { ECompareType } from "./BoardFindInterface";
import { IBaseOption } from "./OptionInterface/IOptionInterface";
export interface IHSOption extends IBaseOption {
    isAll: boolean;
    isHide: boolean;
    isDelete: boolean;
    behind: boolean;
    layer: boolean;
    vertial: boolean;
    footer: boolean;
    tbBoard: boolean;
    specialShape: boolean;
    hole: boolean;
    door: boolean;
    drawer: boolean;
    closingStrip: boolean;
    winerack: boolean;
    wood: boolean;
    nails: boolean;
    topline: boolean;
    handle: boolean;
    hinge: boolean;
    hwComposity: boolean;
    lattice: boolean;
    dim: boolean;
    curve: boolean;
    line: boolean;
    polyline: boolean;
    circle: boolean;
    arc: boolean;
    custom: boolean;
    noChaiDan: boolean;
    matchType?: ECompareType;
    customBoardName?: string;
    visual?: boolean;
    spotlight?: boolean;
    pointLight?: boolean;
    rectAreaLight?: boolean;
    text: boolean;
}
//# sourceMappingURL=HSInterface.d.ts.map