import { BulkheadCeiling_ContourType } from "../../../DatabaseServices/Room/Entity/Ceiling/BulkheadCeiling";
import { IBaseOption } from "./IOptionInterface";
export interface ICeilingProfileMaterialItem {
    readonly color: number;
    example: {
        id: number;
        name: string;
        type: string;
    };
}
export interface ICeilingItem {
    readonly color: number;
    example: {
        contourType: BulkheadCeiling_ContourType;
        id: number;
        name: string;
        logo: string;
        deviation: number;
    };
}
export interface BulkheadCeilingOption extends IBaseOption {
    Item: ICeilingItem[];
    Height: number;
}
export interface BulkheadCeilingProfileMaterialOption extends IBaseOption {
    Item: ICeilingProfileMaterialItem[];
}
export declare enum Display {
    Block = "block",
    None = "none"
}
//# sourceMappingURL=BulkheadCeilingOption.d.ts.map