import { RenderType } from "../../../GraphicsSystem/RenderType";
import { ViewDirection, ViewportPosition } from "./OptionEnum";
interface ViewportBaseOption {
    version: number;
    autoDim: boolean;
    revertRotation: boolean;
}
export interface ViewportConfigOption extends ViewportBaseOption {
    view: ViewDirection;
    renderType: RenderType;
}
export interface Viewport2ConfigOption extends ViewportBaseOption {
    viewportPosition: ViewportPosition;
    view1: ViewDirection;
    view2: ViewDirection;
    renderType: RenderType[];
}
export interface Viewport3ConfigOption extends ViewportBaseOption {
    viewportPosition: ViewportPosition;
    view: ViewDirection[];
    renderType: RenderType[];
}
export interface Viewport4ConfigOption extends ViewportBaseOption {
    view: ViewDirection[];
    renderType: RenderType[];
}
export {};
//# sourceMappingURL=ViewportConfigOption.d.ts.map