import { IConfigOption } from "../../Components/Board/UserConfigComponent";
import { IConfigStore } from "../BoardStore";
import { BoardEdgesEditor } from "./BoardEdgesEditor";
export declare class ReservedEdgeStore extends BoardEdgesEditor implements IConfigStore {
    isNotUpdateStore: boolean;
    highReservedEdge: string[];
    private static _SingleInstance;
    static GetInstance(): ReservedEdgeStore;
    option: {
        highReservedEdge: string[];
    };
    InitData(): Promise<void>;
    configName: string;
    configsNames: string[];
    InitOption(): void;
    SaveConfig(): {
        option: {
            highReservedEdge: string[];
        };
    };
    UpdateOption(cof: IConfigOption): void;
    protected InitCurve(): void;
    protected ShowToaster(): void;
    private _dataMap;
    protected ParseData(isCheck?: boolean): void;
    protected WriteData(): Promise<void>;
}
//# sourceMappingURL=ReservedEdgeStore.d.ts.map