import { Singleton } from "../../Common/Singleton";
import { CADFiler } from "../../DatabaseServices/CADFiler";
import { IDrawBoardAutoCutOption } from "./OptionInterface/IOptionInterface";
import { IHasAutoCutOption, ITemplateManageOption, TemplateManageOption } from "./OptionInterface/TemplateManageOption";
export declare class TempalteManageStore extends Singleton {
    getImageDefaultTemplate(): Promise<string>;
    UpdateOption(m_Option: ITemplateManageOption, autoCutOption: IDrawBoardAutoCutOption): Promise<void>;
    SaveConfig(newConfig: TemplateManageOption): Promise<void>;
    WriteFlie(cof: ITemplateManageOption, autoCutOption: IDrawBoardAutoCutOption): any[];
    WriteDirData(file: CADFiler, dirData: IHasAutoCutOption[]): void;
}
export declare const tempalteManageStore: TempalteManageStore;
//# sourceMappingURL=TemplateManageStore.d.ts.map