import { IFileInfo } from "../../DatabaseServices/FileServer";
export interface ICloudInfo {
    zone_size: string;
    left_size: string;
    used_size: string;
    used_percentage: string;
}
export interface IDealerInfo {
    show_pic: string;
    show_phone: string;
    show_text: string;
}
export declare class TopPanelStore {
    m_FileManageOpen: boolean;
    m_FileList: IFileInfo[];
    canJoinGroup: boolean;
    isLogin: boolean;
    openRegist: boolean;
    openMain: boolean;
    cloudInfo: {
        zone_size: string;
        left_size: string;
        used_size: string;
        used_percentage: string;
    };
    userName: string;
    editoring: boolean;
    dealerInfo: IDealerInfo;
    canUseRender: boolean;
    canUse2to3: boolean;
    canKJLImport: boolean;
    canKJLExport: boolean;
    shopId: string;
    constructor();
    private static _SingleInstance;
    static GetInstance(): TopPanelStore;
    UpdateFileList(): Promise<void>;
    /**更新云盘信息 */
    UpdateClound(): Promise<void>;
    onToggleTheme(): void;
    private AddPathByFileInfos;
    private getPath;
}
//# sourceMappingURL=TopPanelStore.d.ts.map