import { IUpdateBoardInfosOption } from "../Components/Board/UpdateBoardInfointerface";
import { IConfigOption } from "../Components/Board/UserConfigComponent";
import { BoardStore } from "./BoardStore";
export declare class UpdateBoardInfosStore extends BoardStore {
    m_Option: IUpdateBoardInfosOption;
    nameOptionMap: Map<string, IUpdateBoardInfosOption>;
    currentBoardName: string;
    isSelectAllDrill: boolean;
    isSelectAllSealed: boolean;
    isSelectAllEgdeRemark: boolean;
    constructor();
    GetDefaultOption(): IUpdateBoardInfosOption;
    InitOption(): void;
    UpdateCurrentOption(): void;
    UpdateBoardName(name?: string): void;
    SaveConfig(): IConfigOption<import("./OptionInterface/IOptionInterface").AnyObject>;
    UpdateOption(cof: IConfigOption<{
        [key: string]: IUpdateBoardInfosOption;
    }>): void;
    HasInvailValue(): string;
    CheckIsSelectAll(): void;
}
export declare const updateBoardInfoStore: UpdateBoardInfosStore;
//# sourceMappingURL=UpdateBoardInfoStore.d.ts.map