import { Circle } from "../../../DatabaseServices/Entity/Circle";
import { Line } from "../../../DatabaseServices/Entity/Line";
import { Polyline } from "../../../DatabaseServices/Entity/Polyline";
import { ICFLine, ICFPolylineContour } from "../Import/CFInterface";
export declare class ParseCurve {
    static ParseLine(en: ICFLine): Line;
    ParsePolyline(ContourCurve: ICFPolylineContour, isColosed?: boolean): Polyline;
    ParseRect(Width: number, Height: number): Polyline;
    ParseCircle(Radius: number, Center: [number, number, number]): Circle;
}
//# sourceMappingURL=ParseCurve.d.ts.map