import { Database } from "../../../DatabaseServices/Database";
import { Polyline } from "../../../DatabaseServices/Entity/Polyline";
import { HardwareCompositeEntity } from "../../../DatabaseServices/Hardware/HardwareCompositeEntity";
import { HardwareTopline } from "../../../DatabaseServices/Hardware/HardwareTopline";
import { TemplateRecord } from "../../../DatabaseServices/Template/TemplateRecord";
import { ICFHardware, ICFTemplate, ICFTopline } from "../Import/CFInterface";
export declare function ParseCFTemplateInfo(newTemp: TemplateRecord, tempInfo: ICFTemplate, cuDb: Database): Promise<TemplateRecord>;
export declare function ParseHardwareInfo(newTemp: TemplateRecord, el: ICFHardware, cuDb: Database): Promise<TemplateRecord | HardwareCompositeEntity>;
export declare function ParseToplineInfo(contour: Polyline, el: ICFTopline, cuDb: Database): Promise<HardwareTopline>;
//# sourceMappingURL=ParseHardwareAndTemplateInfo.d.ts.map