import { Board } from "../../DatabaseServices/Entity/Board";
import { INailRule, IShinkOption, LayerNailOption } from "../../UI/Store/OptionInterface/IOptionInterface";
declare class ActivityLayerBoardTool {
    NailRules: INailRule[];
    /**
     * 求面与板的交点 得到板和交点
     * @param face 层板的侧面
     * @param objects 其他板
     * @param br 层板
     * @returns 交点信息(点 实体)
     */
    private GetBoardIntersection;
    private IntersectFace;
    private GetShrinkDist;
    private GetShrinkBoardIndexesMap;
    private GetRuleCount;
    private BuildNails;
    private RayPoint;
    Start(brs: Board[], nailOption: LayerNailOption, rules?: INailRule[], option?: IShinkOption): void;
    private AppendBoard;
    private HandleNailList;
}
export declare const activityLayerBoardTool: ActivityLayerBoardTool;
export {};
//# sourceMappingURL=ActivityLayerBoardTool.d.ts.map