import React from "react";
import { Board } from "../../DatabaseServices/Entity/Board";
import { Entity } from "../../DatabaseServices/Entity/Entity";
import { ICommonOptionProps } from "../../UI/Components/Board/CommonBoardOption";
import { GrooveInfo } from "./GrooveInfo";
import "./groove.less";
interface BoardProps {
    BoardProps: Board[];
}
export declare class GroovesModifyModal extends React.Component<BoardProps, ICommonOptionProps, {}> {
    _GrooveInfo: GrooveInfo[][];
    _Refs: React.RefObject<any>[];
    _InputEls: React.RefObject<any>[][];
    _InputEl1: React.RefObject<HTMLInputElement>;
    _InputEl2: React.RefObject<HTMLInputElement>;
    _InputEl3: React.RefObject<HTMLInputElement>;
    _InputEl4: React.RefObject<HTMLInputElement>;
    _IsCheckAll: boolean;
    _GetExtrudeSolidList(board: Board, grooves: GrooveInfo[][]): GrooveInfo[];
    _ModifyOfPart(grooves: GrooveInfo[][], inputEls: React.RefObject<any>[][], needUpdateEnts: Set<Entity>): void;
    _ModifyOfCheck: (e: GrooveInfo[][], needUpdateEnts: Set<Entity>) => void;
    _ChangeValue: () => Promise<void>;
    _CheckNum(e: React.ChangeEvent<HTMLInputElement>, isKnifeRadius?: boolean): void;
    onKeyDown(e: React.KeyboardEvent<HTMLInputElement>): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=GroovesModifyModal.d.ts.map