import { Vector3, Box3 } from "three";
import { Contour } from "../../DatabaseServices/Contour";
import { Curve } from "../../DatabaseServices/Entity/Curve";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Command } from "../../Editor/CommandMachine";
import { Box3Ext } from "../../Geometry/Box";
import { Entity } from "../../DatabaseServices/Entity/Entity";
export declare class TestTargeOnCurve implements Command {
    exec(): Promise<void>;
    testClip(outline: Polyline, l: Curve): any[];
    testPtIn(outline: Polyline, l: Curve): void;
}
export declare function testPts(pts: Vector3[], color?: number): void;
export declare function testContours(cons: Contour[], color?: number): void;
export declare function testCurve(cons: Entity[], color?: number): void;
export declare function testBox(box3: Array<Box3 | Box3Ext>, color?: number): void;
export declare function testtBox3(box3: Box3, colorIndex?: number): void;
//# sourceMappingURL=TestCurve.d.ts.map