import { CADFiler } from '../CADFiler';
import { Entity } from '../Entity/Entity';
import { ObjectId } from '../ObjectId';
import { GangDrillType } from './CylinderHole';
export declare abstract class Hole extends Entity {
    FId: ObjectId;
    MId: ObjectId;
    protected _Height: number;
    OtherHalfTongKong: ObjectId;
    protected allowHoleAtBoardEdge: boolean;
    protected type: GangDrillType;
    get Height(): number;
    set Height(v: number);
    get Type(): GangDrillType;
    set Type(t: GangDrillType);
    get AllowPxl(): boolean;
    set AllowPxl(v: boolean);
    Clone(): this;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=Hole.d.ts.map