import { Object3D, Vector3 } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { Text } from "../Text/Text";
import { Dimension } from "./Dimension";
export declare class MLeaderDimension extends Dimension {
    protected _TextString: string;
    protected _StartPoint: Vector3;
    protected _EndPoint: Vector3;
    protected _Text: Text;
    constructor(_TextString?: string, // 文本
    _StartPoint?: Vector3, // 引线起点
    _EndPoint?: Vector3);
    get Text(): Text;
    set StartPoint(p: Vector3);
    get StartPoint(): Vector3;
    get EndPoint(): Vector3;
    set EndPoint(p: Vector3);
    protected GetPrimitiveString(): string;
    GetGripPoints(): Vector3[];
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(renderType: RenderType, obj: Object3D): void;
    ParseText(): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=MLeaderDimension.d.ts.map