import { BufferGeometry, Material, Matrix4, Mesh, Vector3 } from "three";
export declare function GetFaceDir(direction: Vector3): Vector3;
export declare class GenUVForWorld {
    InvMtxMap: Map<Vector3, Matrix4>;
    private _Z;
    private _X;
    private _Y;
    private _Box;
    private _Box2;
    GetMtxInv(normalX: number, normalY: number, normalZ: number): Matrix4;
    GenUV(mesh: Mesh<BufferGeometry, Material[]>): void;
    GenGeoUV(bGeo: BufferGeometry, mtl: Material, scale?: number): void;
}
//# sourceMappingURL=GenUVForWorld.d.ts.map