import { CADFiler } from "../../CADFiler";
import { I2DModeling } from "../../Entity/Board";
import { ExtrudeSolid } from "../../Entity/Extrude";
import { TemplateFilletAction } from "./TemplateFilletAction";
export declare enum TempalteActionRadiusType {
    Radius = 0,
    Bulge = 1,//凸度模式
    Height = 2
}
export declare class TemplateaRadiusAction extends TemplateFilletAction {
    IsBigArc: boolean;
    RadiusType: TempalteActionRadiusType;
    constructor(radiusType: TempalteActionRadiusType);
    protected Fillet(br: ExtrudeSolid | I2DModeling, newValue: number, d: {
        ArcParams: number[];
    }): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateaRadiusAction.d.ts.map