import { ISpaceParse } from "../../../Geometry/SpaceParse/ISpaceParse";
import { IGrooveOption, LayerBoardOption, LayerNailOption } from "../../../UI/Store/OptionInterface/IOptionInterface";
import { CADFiler } from "../../CADFiler";
import { Board } from "../../Entity/Board";
import { ObjectId } from "../../ObjectId";
import { TemplateBoardRecord } from "./TemplateBoard";
/**
 * 层板模板
 */
export declare class TemplateLayerBoard extends TemplateBoardRecord {
    constructor();
    protected _option: LayerBoardOption;
    private _nailOption;
    private grooveOption;
    get Option(): LayerBoardOption;
    set Option(option: LayerBoardOption);
    IntersectSpaceEntitys: Set<ObjectId>;
    IntersectHighDrill: string[];
    set GrooveOption(option: IGrooveOption);
    get NailOption(): LayerNailOption;
    set NailOption(nailOpt: LayerNailOption);
    GeneralBoardList(space: ISpaceParse): Promise<Board[]>;
    protected Update(): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateLayerBoard.d.ts.map