import { FontStyleInfoOption } from "../Add-on/TextStyle/FontStyleInterface";
import { EditViewOption } from "../Add-on/ViewortConfig/EditViewOption";
import { Curve2RecOption } from "../Add-on/twoD2threeD/Modals/Curve2RecOption";
import { IParseBoardNameOption, IRec2BrOption, IRect2Br2Option } from "../Add-on/twoD2threeD/R2bInterface";
import { SpaceParseOption } from "../Geometry/SpaceParse/SpaceParseOption";
import { IUpdateBoardInfosOption } from "../UI/Components/Board/UpdateBoardInfointerface";
import { ICompHardwareOption, ICylMetalsOption, IExtMetalsOption, IToplineOption } from "../UI/Components/RightPanel/RightPanelInterface";
import { IKuGangDrawOption } from "../UI/Components/Template/TemplateInterface";
import { IBoardFindOption } from "../UI/Store/BoardFindInterface";
import { IDoorConfigOption, IDrawerConfigOption, IHingeConfigOption } from "../UI/Store/DoorInterface";
import { IHSOption } from "../UI/Store/HSInterface";
import { ILatticeOption } from "../UI/Store/LatticeInterface";
import { IAutoDimBrsOption, IFastDimOption } from "../UI/Store/OptionInterface/AutoDimBrsOption";
import { IBoardBatchCurtailOption } from "../UI/Store/OptionInterface/BoardBatchCurtailOption ";
import { BoardProcessOption } from "../UI/Store/OptionInterface/BoardProcessOption";
import { BulkheadCeilingOption } from "../UI/Store/OptionInterface/BulkheadCeilingOption";
import { ClosingStripOption } from "../UI/Store/OptionInterface/ClosingStripOption";
import { BehindBoardOption, BoardConfigOption, ChangeColorByBoardMaterialOption, ChangeColorByRoomOrCabinetOption, CommonPanelConfigOption, DatalistConfigOption, DoorRelatesInfoOption, ExtrudePl2BoardOption, IArcBoardGrooveOption, IAutoHoleFaceOption, IBatchModifyPanelOption, IDimStyleOption, IHoleGrooveDimOption, LayerBoardOption, LayerNailOption, ModifyTextsConfigOption, OneClickInspectionOption, PartsAnalysisOption, RightPlaneLightOption, ShareBoardInfConfigurationOption, SideBoardOption, SingleBoardOption, TBBoardOption, VerticalBoardOption, WindowPanelConfigOption } from "../UI/Store/OptionInterface/IOptionInterface";
import { PointLightOption, RectAreaLightOption, SpotLightOption } from "../UI/Store/OptionInterface/LightConfigOption";
import { Viewport2ConfigOption, Viewport3ConfigOption, Viewport4ConfigOption, ViewportConfigOption } from "../UI/Store/OptionInterface/ViewportConfigOption";
import { IWineRackOption } from "../UI/Store/WineRackInterface";
export declare const DefaultLayerBoardConfig: LayerBoardOption;
export declare const DefaultVerticalBoardConfig: VerticalBoardOption;
export declare const DefaultBehindBoardConfig: BehindBoardOption;
export declare const DefaultWineRackConfig: IWineRackOption;
export declare const DefaultTopBoardOption: TBBoardOption;
export declare const DefaultBottomBoardOption: TBBoardOption;
export declare const DefaultSideBoardOption: SideBoardOption;
export declare const DefaultViewportConfigOption: ViewportConfigOption;
export declare const DefaultViewport2ConfigOption: Viewport2ConfigOption;
export declare const DefaultViewport3ConfigOption: Viewport3ConfigOption;
export declare const DefaultViewport4ConfigOption: Viewport4ConfigOption;
export declare const DefaultModifyTextsOption: ModifyTextsConfigOption;
export declare const DefaultPointLightOption: PointLightOption;
export declare const DefaultSpotLightOption: SpotLightOption;
export declare const DefaultRectAreaLightOption: RectAreaLightOption;
export declare const DefaultRightPlaneLightOption: RightPlaneLightOption;
export declare const DefaultArcBoardOption: BoardConfigOption;
export declare const DefaultSingleBoardOption: SingleBoardOption;
export declare const DefaultClosingStripOption: ClosingStripOption;
export declare const DefaultBoardFindOption: IBoardFindOption;
export declare const DefaultLatticOption: ILatticeOption;
export declare const DefaultDoorOption: IDoorConfigOption;
export declare const DefaultHingeOption: IHingeConfigOption;
export declare const DefaultDrawerOption: IDrawerConfigOption;
export declare const DefaultBoardBatchCurtailOption: IBoardBatchCurtailOption;
export declare const DefaultBatchModifyPanelOption: IBatchModifyPanelOption;
export declare const DefaultLatticeConfig: ILatticeOption;
export declare const DefaultNailOption: LayerNailOption;
export declare const DefaultCylinederMetalsOption: ICylMetalsOption;
export declare const DefaultExtruderMetalsOption: IExtMetalsOption;
export declare const DefaultCompositeMetalsOption: ICompHardwareOption;
export declare const DefaultToplineMetalsOption: IToplineOption;
export declare const DefaultBoardProcessOption: BoardProcessOption;
export declare const DefaultCurve2RecOption: Curve2RecOption;
export declare const DefaultUpdateInfoOption: IUpdateBoardInfosOption;
export declare const DefaultKuGanOption: IKuGangDrawOption;
export declare const DefaultParseBoardNameOPtion: IParseBoardNameOption;
export declare const DefaultR2bOption: IRec2BrOption;
export declare const DefaultR2b2Option: IRect2Br2Option;
export declare const DefaultHSOption: IHSOption;
export declare const DefaultCommonPanelOption: CommonPanelConfigOption;
export declare const DefaultDatalistOption: DatalistConfigOption;
export declare const DefaultAutoDimBrsOption: IAutoDimBrsOption;
export declare const DefaultWindowPanelOption: WindowPanelConfigOption;
export declare const DefaultDimStyleOption: IDimStyleOption;
export declare const DefaultChangeColorByBoardMaterialOption: ChangeColorByBoardMaterialOption;
export declare const DefaultShareBoardInfConfigurationOption: ShareBoardInfConfigurationOption;
export declare const DefaultBulkheadCeilingOption: BulkheadCeilingOption;
export declare const DefaultChangeColorByRoomOrCabinetOption: ChangeColorByRoomOrCabinetOption;
export declare const DefaultDoorRelatesInfoOption: DoorRelatesInfoOption;
export declare const DefaultPartsAnalysisOption: PartsAnalysisOption;
export declare const DefaultFastDimOption: IFastDimOption;
export declare const DefaultOneClickInspectionOption: OneClickInspectionOption;
export declare const DefaultArcBoardGrooveOption: IArcBoardGrooveOption;
export declare const DefaultSpaceParseOption: SpaceParseOption;
export declare const DefaultEditViewOption: EditViewOption;
export declare const DefaultFontStyleOption: FontStyleInfoOption;
export declare const DefaultHoleGrooveDimOption: IHoleGrooveDimOption;
export declare const DefaultAutoHoleFaceOption: IAutoHoleFaceOption;
export declare const DefaultExtrudePl2Board: ExtrudePl2BoardOption;
//# sourceMappingURL=DefaultConfig.d.ts.map