import { Group } from 'three';
import { IUCSGridConfig } from '../UserConfig';
import { Axes } from './Axes';
import { IGizmo } from './IGizmo';
export declare enum AxisType {
    X = 0,
    Y = 1,
    Z = 2,
    Origin = 3,
    YZ = 4,//x
    XZ = 5,//y
    XY = 6,//z
    ZRotate = 7,//Z轴旋转
    None = -1
}
export declare class CoorAxes extends Group implements IGizmo {
    protected _Axis_X: Axes;
    protected _Axis_Y: Axes;
    protected _Axis_Z: Axes;
    constructor();
    private _gridHelper;
    SettingGripHelper(ucsGridConfig: IUCSGridConfig): void;
    set AxtiveIndex(t: AxisType);
    get AxtiveIndex(): AxisType;
    Picks: Group;
    HideAxes(): void;
    Reset(): void;
}
//# sourceMappingURL=CoorAxes.d.ts.map