import { CylinderBufferGeometry, Group, MeshBasicMaterial } from 'three';
import { AxisType, CoorAxes } from './CoorAxes';
import { IGizmo } from './IGizmo';
export declare class TranslateGizmo extends CoorAxes implements IGizmo {
    private _ActiveIndex;
    private _OriginFace;
    static _OrgMtl: MeshBasicMaterial;
    static _XYBoxMtl: MeshBasicMaterial;
    static _XZBoxMtl: MeshBasicMaterial;
    static _YZBoxMtl: MeshBasicMaterial;
    Picks: Group;
    constructor();
    private __vec__;
    HideAxes(): void;
    private static _OriGeo;
    private static _LineMtl;
    private static _LineGeom;
    static get LineGeom(): CylinderBufferGeometry;
    set AxtiveIndex(v: AxisType);
    get AxtiveIndex(): AxisType;
    Reset(): void;
}
//# sourceMappingURL=TranslateGizmo.d.ts.map