import { BufferGeometry } from "three";
import { Geom3Res, PolygonRes } from "../Common/CSGIntersect";
export declare class EdgesGeometry extends BufferGeometry {
    /**
     * 在使用Extrude实体的时候,有可能导致面无限分裂,并且有可能造成丢线问题,使用FromCSG方法可解.
     */
    FromGeometry(geometry: any, thresholdAngle?: number): this;
    /**
     * 解决原来算法性能低下并且结果不理想的问题
     */
    FromCSG(csg: Geom3Res): this;
    PolygonsOutline(polygons: PolygonRes[], coords: number[]): void;
}
//# sourceMappingURL=EdgeGeometry.d.ts.map