import { Matrix4, Vector3 } from 'three';
export declare class OBB {
    ocs: Matrix4;
    halfSizes: Vector3;
    _EPSILON: number;
    center: Vector3;
    ocsInv: Matrix4;
    constructor(ocs: Matrix4, halfSizes: Vector3);
    intersectsOBB(obb: OBB, is2D?: boolean, ucsInv?: Matrix4): boolean;
    /** 扩展包围盒的数值
     * @param {Vector3} vector 扩展的向量
     */
    expandByVector(vector: Vector3): this;
    isPointContained(point: Vector3, fuzz?: number): boolean;
}
//# sourceMappingURL=obb.d.ts.map