import { Vector3 } from "three";
import { BoardOpenDir, LinesType } from "../DatabaseServices/Entity/BoardInterface";
export declare class PointShapeUtils {
    static SquarePts(size: number): Vector3[];
    static OutsideLinePts(squareSize: number, lineLength: number): Vector3[];
    static CrossLinePts(lineLength: number): Vector3[];
    static CrossLine3DPts(lineLength: number): Vector3[][];
    static TrianglePts(size: number): Vector3[];
    static CirclePts(size: number): any[];
    static ObliqueCrossPts(size: number): Vector3[];
    static ObliqueCrossLinePts(size: number): Vector3[];
    static SandClockPts(size: number): Vector3[];
    static TangentPts(size: number): Vector3[];
    static PerPts(size: number): Vector3[];
    static LinesDirPts(len: number, width: number, lineType: LinesType): Vector3[];
    static LinesOpenDirPts(len: number, width: number, openDir: BoardOpenDir): Vector3[];
}
//# sourceMappingURL=PointShapeUtils.d.ts.map