import { Box3 } from "three";
import { Circle } from "../../DatabaseServices/Entity/Circle";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Point } from "../Common/Point";
import { IOffset } from "./Simplify2";
/**
 * 运用此代码将曲线转换为点,并且精简它.
 * @class CurveWrap
 */
export declare class CurveWrap {
    Curve: Polyline | Circle;
    KnifRadius: number;
    IsOutside: boolean;
    BoundingBox: Box3;
    Area: number;
    SimplyPolyline: Polyline;
    SimplyOffset: IOffset;
    Used: boolean;
    Holes: CurveWrap[];
    Points: Point[];
    _OrgCurve: Polyline | Circle;
    constructor(Curve: Polyline | Circle, KnifRadius?: number, IsOutside?: boolean);
    ContainsCurve(curve: CurveWrap): boolean;
    GetOutsidePoints(): Point[];
    GetInsidePoints(): Point[];
}
//# sourceMappingURL=CurveWrap.d.ts.map