import { Circle } from "../../DatabaseServices/Entity/Circle";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Part } from "../Core/Part";
import { Path } from "../Core/Path";
/**
 * 曲线集合转零件集合.
 * 如果存在曲线嵌套,那么自动设置为网洞
 * 零件会和曲线绑定,以便后续应用坐标系变换
 */
export declare function Curves2Parts(curves: (Polyline | Circle)[], binPath: Path, KnifRadius?: number): Part[];
//# sourceMappingURL=Curves2Parts.d.ts.map