import { Circle } from "../../DatabaseServices/Entity/Circle";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Point } from "../Common/Point";
/** 内外接多边形 */
export declare function Circle2Points(circle: Circle, knifRadius: number, splitSize?: number, outside?: boolean): Point[];
/**
 * 针对板件的曲线变点表做的特殊优化
 */
export declare function Curves2Points(cu: Circle | Polyline, outside: boolean, knifeRadius: number): [(Circle | Polyline), Point[]];
export declare function Polyline2Points(pl: Polyline, outside: boolean, knifeRadius: number): [Polyline, Point[]];
/**
 * 移除小圆弧,使用尖角直连(有可能产生自交 概率不大)
 * @param pl 请传入逆时针多段线(我们将直接修改这个多段线,如果你不想被修改 你应该拷贝一个)
 * @param [radius=30]
 */
export declare function PolylineFilletMinArc(pl: Polyline, radius?: number): void;
//# sourceMappingURL=Curves2Points.d.ts.map