import { Container } from "./Container";
import { Part } from "./Part";
export interface IContourIdToParts {
    [key: string]: Part[];
}
export declare class BestNestContainers {
    private static MaxSize;
    private static BestContainers;
    static GetAllContainers(contourId?: number): Container[];
    static AddContainersAndSort(newContainers: Container[]): void;
    static SetMaxSize(size: number): void;
    static GetMaxSize(): number;
    static Clear(): void;
    static MapContourIdToParts(parts: Part[]): IContourIdToParts;
    static GetMatchedAndRemainingParts(allParts: Part[], containerParts: Part[], cIdToPartsObj: IContourIdToParts): {
        matchedParts: Part[];
        remainingParts: Part[];
    };
}
//# sourceMappingURL=BestNestContainers.d.ts.map