import * as React from 'react';
import { Board } from '../../../DatabaseServices/Entity/Board';
import { LinesType } from '../../../DatabaseServices/Entity/BoardInterface';
import { ObjectId } from '../../../DatabaseServices/ObjectId';
import { ProcessingGroupRecord } from '../../../DatabaseServices/ProcessingGroup/ProcessingGroupRecord';
import { SortBtnData } from './BBSCommon';
import { IBoardInfoOptions } from './BoardInfosList';
import { BBSBoardData } from './LookOverBoardInfos';
import { SelectBBSDataTool } from './SelectBBSDataList';
interface IBoardListProps {
    height: number;
    width: number;
    dragDivH: number;
    searchRes: BBSBoardData;
    selectedBrOnList: Board[];
    UpdateDisplayData: (dataSource?: Board[]) => void;
    isCtrlDown: boolean;
    processGroupMap: Map<string, ObjectId[]>;
    modifyBoardData: Map<Board, IBoardInfoOptions>;
    UpdateSeletctedBr: (index: number, findSameTypeBrDataKey?: string, isSelect?: boolean, selectedCount?: number) => void;
    ModifyBoard: (br: Board, opts: IBoardInfoOptions) => void;
    TitleResize: (e: React.PointerEvent<HTMLDivElement>, title: string) => void;
}
export declare class BoardList extends React.Component<IBoardListProps> {
    sortBtnData: SortBtnData[];
    private oldLeft;
    private selectContainer;
    selectTool: SelectBBSDataTool;
    selected: number;
    private SetSelectTool;
    componentWillUnmount(): void;
    render(): JSX.Element;
    SortFunc: (a: number | string, b: number | string, asc: boolean) => number;
    SortFuncBoolean: (a: boolean, b: boolean, asc: boolean) => 0 | 1 | -1;
    HandleSort: (btnText: string) => void;
    ModifyDataMap: (index: number, brData: Board, modifyKey: string, value: string | LinesType | ProcessingGroupRecord[]) => void;
    private handleScroll;
}
export {};
//# sourceMappingURL=BoardLIst.d.ts.map