import * as React from 'react';
import '../Css/batchCurtailModal.less';
import { BoardStore } from "../Store/BoardStore";
import { IBoardBatchCurtailOption } from "../Store/OptionInterface/BoardBatchCurtailOption ";
import { IConfigOption } from "./Board/UserConfigComponent";
interface IBoardBatchCurtailProps {
    store: BoardBatchCurtailStore;
}
export declare class BoardBatchCurtailStore extends BoardStore {
    m_Option: IBoardBatchCurtailOption;
    checkValue: IBoardBatchCurtailOption;
    ocsWidth: number;
    ocsLength: number;
    HasInvailValue(): string;
    InitOption(): void;
    SaveConfig(): {
        option: IBoardBatchCurtailOption;
    };
    UpdateOption(conf: IConfigOption<IBoardBatchCurtailOption>): void;
}
export declare class BoardBatchCurtailModal extends React.Component<IBoardBatchCurtailProps, {}> {
    _Event: Function;
    componentDidMount(): void;
    componentWillUnmount(): void;
    _OK: () => void;
    _Close: () => void;
    _CheckFunc: (optKey: string, value: string) => string;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=BoardBatchCurtailModal.d.ts.map