import { IResponseData } from "../../../../Common/Request";
export interface GalleryClass {
    class_id: string;
    name: string;
    logo: string;
}
export interface GalleryIndexList extends IResponseData {
    count: number;
    gallerys: Array<IGalleryItem>;
}
export interface GalleryClassList extends IResponseData {
    classes: Array<GalleryClass>;
}
export interface AdminGalleryList extends IResponseData {
    count: string;
    gallerys: IGalleryItem[];
}
export interface IGalleryItemDetail {
    gallery_id: string;
    user_id: string;
    shop_id: string;
    class_id: string;
    name: string;
    logo: string;
    code: string;
    zip_type: string;
    size: string;
    props: string;
    comments: string;
    create_date: string;
    update_date: string;
    org_file_id: string;
    audit_state: string;
    audit_desc: string;
    state: string;
    hot: string;
    file: string;
    pano_url: string;
}
export type IGalleryItem = Pick<IGalleryItemDetail, 'gallery_id' | 'class_id' | 'name' | 'logo' | 'size' | 'create_date' | 'hot' | 'audit_desc' | 'audit_state' | 'state' | 'pano_url'> & {
    login_name: string;
    shop_name: string;
    class_name: string;
    audit_state_name: string;
    state_name: string;
};
//# sourceMappingURL=GalleryInterfaces.d.ts.map