import * as React from 'react';
import { TemplateParam } from '../../../DatabaseServices/Template/Param/TemplateParam';
import { IDrawerDoorTempInfo, ISelectTempInfo } from '../../Store/DoorInterface';
import { ITemplateParam } from "../../Store/RightPanelStore/ITemplateParam";
import { IDirectoryProps } from '../SourceManage/CommonPanel';
export interface ITemplateDetailProps {
    style?: React.CSSProperties;
    className?: string;
    params?: TemplateParam[];
    updateParams: ITemplateParam[];
    currentInfo?: IDrawerDoorTempInfo;
    getData?: () => void;
    showSelectTemp?: boolean;
    selectInfo?: ISelectTempInfo;
    isUpload?: boolean;
    disableKeys?: string[];
    onBlur?: (name: string, val: string) => void;
    isShowTag?: boolean;
    currentDir?: IDirectoryProps;
    isShowDetail?: boolean;
}
export declare class TemplateDetail extends React.Component<ITemplateDetailProps> {
    static defaultProps: {
        isShowTag: boolean;
    };
    isUpdateParam: boolean;
    private renderHandleConfig;
    private renderKuGanggConfigs;
    private renderHingeConfigs;
    render(): JSX.Element;
    private handleUpdateParam;
    private addTag;
    private removeTag;
}
//# sourceMappingURL=TemplateDetail.d.ts.map