import React from "react";
import "./LayerManager.css";
/** 图层管理器 */
export declare class LayerManager extends React.Component<{}, {}> {
    constructor(props: any);
    /** 组件注销时清除搜索 */
    componentWillUnmount(): void;
    /** 图层列表内部按钮被点击所触发的事件 */
    private ClickInnerEvent;
    /** 被双击的节点数据 */
    private _DataByDoubleClick;
    /** 图层搜索输入框的DOM */
    private _SearchInputRef;
    /** 图层名称输入框的DOM */
    private _NameInputRef;
    /** 图层嵌套层级 */
    private _Level;
    /** 用于函数防抖 */
    private _CoolDownTime;
    /** 用于拖拽显示的DOM */
    private _LineRefs;
    /** 用于拖拽显示的DOM */
    private _LastLineRef;
    /** 被拖拽的节点 */
    private _MoveWhat;
    /** 放置的位置 */
    private _ToWhere;
    /** 是否放入文件夹 */
    private _IsFolder;
    /** 当前输入的图层名称 */
    private _LayerName;
    /** 重命名 */
    private _Rename;
    /** 初始化拖拽样式 */
    private InitDragStyle;
    /** 右击菜单 */
    private _ShowMenu;
    /** 生成图层列表 */
    private CreateList;
    render(): JSX.Element;
}
//# sourceMappingURL=LayerManager.d.ts.map