import { NumericInput } from "@blueprintjs/core";
import React from "react";
import { FontType } from "../../../Add-on/TextStyle/FontStyleInterface";
import { FontStyleKeyCode } from "../../../DatabaseServices/FontStyle/FontStyleKeyCodeEnum";
import { Text } from "../../../DatabaseServices/Text/Text";
export interface Properties_TextProps {
    ents: Text[];
}
export declare class Properties_Text extends React.Component<Properties_TextProps, {}> {
    _removeFuncs: Function[];
    _TextHeight: number;
    _TextWidthFactor: number;
    _TextFontName: FontType;
    _FontType: string;
    _HeightInputRef: React.RefObject<NumericInput>;
    _WidthFactorInputRef: React.RefObject<NumericInput>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    _HandleSelectOnChange(e: React.ChangeEvent<HTMLSelectElement>): void;
    GetFontStyleOption(): any[];
    render(): JSX.Element;
    ResetButton(keyCode: FontStyleKeyCode, title: string): React.ReactNode;
}
//# sourceMappingURL=Properties_Text.d.ts.map