import { IConfigOption } from "../../Components/Board/UserConfigComponent";
import { IConfigStore } from "../BoardStore";
import { BoardEdgesEditor } from "./BoardEdgesEditor";
interface IHighSizeItem {
    size: string;
    sealColor: string;
}
export declare class SealingStore extends BoardEdgesEditor implements IConfigStore {
    isNotUpdateStore: boolean;
    highSizes: IHighSizeItem[];
    private static _SingleInstance;
    static GetInstance(): SealingStore;
    option: {
        version: number;
        highSizes: IHighSizeItem[];
    };
    InitData(): Promise<void>;
    configName: string;
    configsNames: string[];
    InitOption(): void;
    SaveConfig(): {
        option: {
            version: number;
            highSizes: IHighSizeItem[];
        };
    };
    UpdateOption(cof: IConfigOption): void;
    protected InitCurve(): void;
    protected ShowToaster(): void;
    private _dataMap;
    protected ParseData(isCheck?: boolean): void;
    protected WriteData(): Promise<void>;
    Check(): boolean;
}
export {};
//# sourceMappingURL=SealingStore.d.ts.map