import { FuzzyCSGFactory } from "../FuzzyFactory3d";
import { CSG } from "../CSG";
import { CAG } from "../CAG";
/**
 * Returns a cannoicalized version of the input csg : ie every very close
 * points get deduplicated
 *
 * 返回删除重复点的csg,重复点将被合并
 */
export declare function canonicalizeCSG(csg: CSG): CSG;
export declare function canonicalizeCAG(cag: CAG): CAG;
export declare function CSGFromCSGFuzzyFactory(factory: FuzzyCSGFactory, sourcecsg: CSG): CSG;
//# sourceMappingURL=canonicalize.d.ts.map